org.eclipse.wst.jsdt.core

## Interface IExportContainer

All Superinterfaces:
  IJavaScriptElement, ILookupScope, IParent, ISourceReference

    public interface IExportContainer
    extends IJavaScriptElement, IParent, ISourceReference

Represents an export container; a child of a JavaScript unit that contains all (and only) the export declarations. If a JavaScript unit has no export declarations, no export container will be present.

This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`CLASS_FILE, EXPORT_CONTAINER, EXPORT_DECLARATION, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVASCRIPT_MODEL, JAVASCRIPT_PROJECT, JAVASCRIPT_UNIT, LOCAL_VARIABLE, METHOD, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IExportDeclaration` `getExport(java.lang.String name)` Returns the first export declaration in this export container with the given name.

### Methods inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`exists, getAncestor, getAttachedJavadoc, getCommonSuperType, getCorrespondingResource, getDisplayName, getElementName, getElementType, getHandleIdentifier, getHostPath, getJavaScriptModel, getJavaScriptProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown, isVirtual`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ILookupScope

`newNameLookup, newNameLookup, newSearchableNameEnvironment, newSearchableNameEnvironment`

### Methods inherited from interface org.eclipse.wst.jsdt.core.IParent

`getChildren, hasChildren`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ISourceReference

`exists, getSource, getSourceRange`

### Method Detail

#### getExport

    IExportDeclaration getExport(java.lang.String name)

Returns the first export declaration in this export container with the given name. This is a handle-only method. The export declaration may or may not exist.

Parameters:
  `name` - the given name
Returns:
  the first export declaration in this export container with the given name